Home page logo
/

metasploit logo Metasploit mailing list archives

selinux prevents msfconsole from running because of 'execstack'
From: Martin Schneider <nighthawk2600 () gmail com>
Date: Wed, 06 Apr 2011 20:32:36 -0700

hey guys i am currently using metasploit 3.6.0 and i am unable to run msfconsole on my fedora 14 box. When i try to run msfconsole i am alerted by SElinux off an error and permission than becomes denied to the msfconsole command



Here is a copy of the error message:

# msfconsole
/opt/framework-3.6.0/msf3/lib/rex/text.rb:1:in `require': *libcrypto.so.0.9.8*: cannot enable executable stack as shared object requires: *Permission denied* - /opt/framework-3.6.0/ruby/lib/ruby/1.9.1/i686-linux/digest/md5.so (LoadError) from /opt/framework-3.6.0/msf3/lib/rex/text.rb:1:in `<top (required)>'
        from /opt/framework-3.6.0/msf3/lib/rex.rb:44:in `require'
        from /opt/framework-3.6.0/msf3/lib/rex.rb:44:in `<top (required)>'
        from /opt/framework-3.6.0/msf3/msfconsole:117:in `require'
        from /opt/framework-3.6.0/msf3/msfconsole:117:in `<main>'



Here is the alert error message i receive from SElinux...


*SELinux has detected a problem.*

The source process: .ruby.bin
Attempted this access: *execstack*
On this process:



I know that i am going to have to write some kind of policy with SELinux to allow "execstack" in order to be able to run msfconsole however, i am worried because i know what kind of damage execstack can do...

I am hoping that maybe someone may have come across this problem either on their fedora or rhel box. If anyone out there has any advice on how i could fix this problem so i can run msfconsole or point me in the right direction i would SO appreciate it, i really would.

Thank you everyone for your time,

Martin

_______________________________________________
https://mail.metasploit.com/mailman/listinfo/framework

  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]